Module | Rake::AltSystem
In: | lib/rake/alt_system.rb

Alternate implementations of system() and backticks `` on Windows for ruby-1.8 and earlier.

### Methods

backticks define_module_function find_runnable repair_command system

### Constants

WINDOWS | = | Config::CONFIG["host_os"] =~ %r!(msdos|mswin|djgpp|mingw)!
RUNNABLE_EXTS | = | %w[com exe bat cmd]
RUNNABLE_PATTERN | = | %r!\.(#{RUNNABLE_EXTS.join('|')})\Z!i

### Public Class methods

define_module_function(name, &block)

### Public Instance methods

backticks(cmd)
find_runnable(file)
repair_command(cmd)
system(cmd, *args)

[Validate]